Topic
IC4NOTICE: developerWorks Community will be offline May 29-30, 2015 while we upgrade to the latest version of IBM Connections. For more information, read our upgrade FAQ.
1 reply Latest Post - ‏2012-11-05T14:48:16Z by kjerick
SystemAdmin
SystemAdmin
1245 Posts
ACCEPTED ANSWER

Pinned topic Problem with Streams studio

‏2012-11-05T12:12:35Z |
Hi

I have installed Streams-2.0.0.4-x86_64-el6 trial version on a RHEL 6.2 box. I have installed Eclipse 3.6.2 SDK on same box. Now due to some network restrictions I have not been able to install xtext,EMF plugins from within the eclipse - so I have put their respective 'plugins' & 'features' in respective eclipse directories. Now when i try to install 'Streams studio' plugin in eclipse, it gives me following dependency errors.

######

Cannot complete the install because one or more required items could not be found.
Software currently installed: InfoSphere Streams Studio 2.1.1.201203201238 (com.ibm.streams.studio.base.feature.feature.group

2.1.1.201203201238)
Missing requirement: SPL Editor UI 2.1.1.201203201238 (com.ibm.streams.studio.spleditor.ui 2.1.1.201203201238) requires

'bundle org.eclipse.xtext.ui [2.0.0,3.0.0)' but it could not be found
Cannot satisfy dependency:
From: InfoSphere Streams Studio 2.1.1.201203201238 (com.ibm.streams.studio.base.feature.feature.group 2.1.1.201203201238)
To: com.ibm.streams.studio.spleditor.ui http://2.1.1.201203201238

########

I tried with xtext v 2.0.0 as well as 2.0.1 but no use.
Please help in resolving this.
  • kjerick
    kjerick
    227 Posts
    ACCEPTED ANSWER

    Re: Problem with Streams studio

    ‏2012-11-05T14:48:16Z  in response to SystemAdmin
    Hi Ms. Panigrahi, welcome to the InfoSphere Streams Forum!

    The problem you are seeing has been previously encountered, and there is a soon to be published Technical Note on this subject. To help you get going sooner, the gist of the Tech Note content (which will have a bit better formatting than is possible to present in a developerWorks forum) will be the following:

    ====================

    Here's a list of dependencies and Streams Studio installation instructions.

    You can download the required dependencies from the links below.

    EMF 2.6: (Download this version if you are using Eclipse 3.6.x)
    http://www.eclipse.org/modeling/download.php?file=/modeling/emf/emf/downloads/drops/2.6.x/R201009141218/emf-runtime-2.6.1.zip

    EMF 2.7: (Download this version if you are using Eclipse 3.7.x)
    http://www.eclipse.org/modeling/download.php?file=/modeling/emf/emf/downloads/drops/2.7.2/R201201300943/emf-runtime-2.7.2.zip

    MWE 2.0.1

    http://www.eclipse.org/modeling/download.php?file=/modeling/emft/mwe/downloads/drops/2.0.1/R201108020809/emft-mwe-Update-2.0.1.zip

    http://www.eclipse.org/modeling/download.php?file=/modeling/emft/mwe/downloads/drops/2.0.1/R201108020809/emft-mwe-2-lang-Update-2.0.1.zip

    Xpand 1.1.1
    http://www.eclipse.org/modeling/download.php?file=/modeling/m2t/xpand/downloads/drops/1.1.1/R201108020519/m2t-xpand-Update-1.1.1.zip

    Xtext 2.01
    http://www.eclipse.org/modeling/download.php?file=/modeling/tmf/xtext/downloads/drops/2.0.1/R201108020636/tmf-xtext-Update-2.0.1.zip

    Installation Instructions

    To install Streams Studio using these dependencies, follow these instructions:

    Preparations:
    Download the dependencies from the links above.
    Make sure that you have Eclipse 3.6.x or Eclipse 3.7.x downloaded.

    1. Start Eclipse.
    2. Click Windows -> Preferences -> Available Software Sites.
    3. Remove / Disable all update sites.

    Install EMF 2.6.2 (Eclipse 3.6.x only)
    If you are on Eclipse 3.6.x, install EMF 2.6.2.
    Unzip emf-runtime-2.6.1.zip.
    In Eclipse, click Help -> Install New Software.
    Add an update site location to where you have unzipped emf-runtime-2.6.1.zip.
    Uncheck "Group items by category".
    Select All and Install.
    Restart when prompted to.

    Install EMF 2.7.2 (Eclipse 3.7.x only)
    If you are on Eclipse 3.7.x, install EMF 2.7.2.
    Unzip emf-runtime-2.7.2.zip.
    In Eclipse, click Help -> Install New Software.
    Add an update site location to where you have unzipped emf-runtime-2.6.1.zip.
    Uncheck "Group items by category".
    Select All and Install.
    Restart when prompted to.

    Install XText 2.0.1
    In Eclipse, click Windows -> Preferences -> Available Update Sites.
    Add the following archives to available update sites. At this step here, leave these update sites as archive.
    emf-mw3-2-Update-2.0.1.zip
    emf-mwe-2-lang-Update-2.0.1.zip
    m2t-xpand-Update-1.1.1.zip
    tmf-xtext-Update-2.0.1.zip
    Save these preferences and exit the preference dialog.
    In Eclipse, click Help -> Install New Software.
    Select the "tmf-xtext-Update-2.0.1.zip" as the update site. You should see a list of XText features to install. Select "Xtext Runtime" and "Xtext UI" and install.
    Restart when prompted to.

    Eclipse 3.7.x only - If you are on Eclipse 3.7.x, you must also install the Eclipse patch for launching to work correctly:

    A fix for this problem is now available on IBM Fix Central. With this fix, you will be able to launch Streams applications from Streams Studio running on Eclipse 3.7.0 or Eclipse 3.7.1.

    Here is a direct link to the readme file for the fix (includes installation instructions): http://download4.boulder.ibm.com/sar/CMA/IMA/02x0l/0/Patch_for_Eclipse-3.7.0_and_3.7.1-Bugzilla_365108.readme.txt
    To download the fix:
    Go to IBM Fix Central: http://www.ibm.com/support/fixcentral
    Specify the following product information:
    Product Group: Information Management
    Product: InfoSphere Streams
    Installed version: All
    Platform: All
    Click Continue.
    In the Identify fixes page, follow oneof the following steps to find the fix:
    Browse for fixes and then look for the following in the results: fix pack: Patch_for_Eclipse-3.7.0_and_3.7.1-Bugzilla_365108
    Individual fix IDs: Patch_for_Eclipse-3.7.0_and_3.7.1-Bugzilla_365108
    Click Continue.
    Select the following fix in the results: fix pack: Patch_for_Eclipse-3.7.0_and_3.7.1-Bugzilla_365108
    Click Continue.
    In the Download page, download the following:
    Fix: Patch_for_Eclipse-3.7.0_and_3.7.1-Bugzilla_365108.tar.gz
    Readme: Patch_for_Eclipse-3.7.0_and_3.7.1-Bugzilla_365108.readme.txt
    Follow the instructions in the Readme to install the fix.

    Install Streams Studio
    After installing all of these dependencies, you can now install Streams Studio using the update site from <Streams Install>/etc/eclipse directory.

    ====================

    Hope this helps...

    Best regards,
    Kevin